Package be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

# Class CancelledAdmissionType

java.lang.Object
be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.CancelledAdmissionType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class CancelledAdmissionType extends Object implements Serializable
Gegevens over de geannuleerde opname. Dit betreft de opname zelf, de periodes woongelegenheid en de eventueel periodes tijdelijke afwezigheid.

Java class for CancelledAdmissionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CancelledAdmissionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CancelledAdmissionVSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType"/>
             <element name="CancelledBedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}CancelledBedPeriodListType"/>
             <element name="CancelledTemporaryAbsenceList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}CancelledTemporaryAbsenceListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CancelledAdmissionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCancelledAdmissionVSBReference()`
  Unieke identificatie van de geannuleerde opname
  `CancelledBedPeriodListType`
  `getCancelledBedPeriodList()`
  Lijst van geannuleerde periodes woongelegenheid
  `CancelledTemporaryAbsenceListType`
  `getCancelledTemporaryAbsenceList()`
  Lijst van geannuleerde periodes tijdelijke afwezigheid
  `void`
  `setCancelledAdmissionVSBReference(String value)`
  Sets the value of the cancelledAdmissionVSBReference property.
  `void`
  `setCancelledBedPeriodList(CancelledBedPeriodListType value)`
  Sets the value of the cancelledBedPeriodList property.
  `void`
  `setCancelledTemporaryAbsenceList(CancelledTemporaryAbsenceListType value)`
  Sets the value of the cancelledTemporaryAbsenceList property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CancelledAdmissionType

    public CancelledAdmissionType()

- ## Method Details

  - ### getCancelledAdmissionVSBReference

    public String getCancelledAdmissionVSBReference()
    Unieke identificatie van de geannuleerde opname
    Returns:
      possible object is `String`

  - ### setCancelledAdmissionVSBReference

    public void setCancelledAdmissionVSBReference(String value)
    Sets the value of the cancelledAdmissionVSBReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCancelledAdmissionVSBReference()`

  - ### getCancelledBedPeriodList

    public CancelledBedPeriodListType getCancelledBedPeriodList()
    Lijst van geannuleerde periodes woongelegenheid
    Returns:
      possible object is `CancelledBedPeriodListType`

  - ### setCancelledBedPeriodList

    public void setCancelledBedPeriodList(CancelledBedPeriodListType value)
    Sets the value of the cancelledBedPeriodList property.
    Parameters:
      `value` - allowed object is `CancelledBedPeriodListType`
    See Also:
      - `getCancelledBedPeriodList()`

  - ### getCancelledTemporaryAbsenceList

    public CancelledTemporaryAbsenceListType getCancelledTemporaryAbsenceList()
    Lijst van geannuleerde periodes tijdelijke afwezigheid
    Returns:
      possible object is `CancelledTemporaryAbsenceListType`

  - ### setCancelledTemporaryAbsenceList

    public void setCancelledTemporaryAbsenceList(CancelledTemporaryAbsenceListType value)
    Sets the value of the cancelledTemporaryAbsenceList property.
    Parameters:
      `value` - allowed object is `CancelledTemporaryAbsenceListType`
    See Also:
      - `getCancelledTemporaryAbsenceList()`